org.apache.poi.xddf.usermodel.chart

## Class XDDFManualLayout

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFManualLayout

-     @Beta
      public final class XDDFManualLayout
      extends java.lang.Object

  Represents a DrawingML manual layout.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)` Create a new DrawingML manual layout.
    `XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea ctPlotArea)` Create a new DrawingML manual layout for chart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFChartExtensionList` | `getExtensionList()`
    `LayoutMode` | `getHeightMode()`
    `double` | `getHeightRatio()`
    `LayoutTarget` | `getTarget()`
    `LayoutMode` | `getWidthMode()`
    `double` | `getWidthRatio()`
    `double` | `getX()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout` | `getXmlObject()` Return the underlying CTManualLayout bean.
    `LayoutMode` | `getXMode()`
    `double` | `getY()`
    `LayoutMode` | `getYMode()`
    `void` | `setExtensionList(XDDFChartExtensionList list)`
    `void` | `setHeightMode(LayoutMode mode)`
    `void` | `setHeightRatio(double ratio)`
    `void` | `setTarget(LayoutTarget target)`
    `void` | `setWidthMode(LayoutMode mode)`
    `void` | `setWidthRatio(double ratio)`
    `void` | `setX(double x)`
    `void` | `setXMode(LayoutMode mode)`
    `void` | `setY(double y)`
    `void` | `setYMode(LayoutMode mode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFManualLayout

          public XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)

      Create a new DrawingML manual layout.
      Parameters:
        `ctLayout` - a DrawingML layout that should be used as base.

    - #### XDDFManualLayout

          public XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea ctPlotArea)

      Create a new DrawingML manual layout for chart.
      Parameters:
        `ctPlotArea` - a chart's plot area to create layout for.

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout getXmlObject()

      Return the underlying CTManualLayout bean.
      Returns:
        the underlying CTManualLayout bean.

    - #### setExtensionList

          public void setExtensionList(XDDFChartExtensionList list)

    - #### getExtensionList

          public XDDFChartExtensionList getExtensionList()

    - #### setWidthRatio

          public void setWidthRatio(double ratio)

    - #### getWidthRatio

          public double getWidthRatio()

    - #### setHeightRatio

          public void setHeightRatio(double ratio)

    - #### getHeightRatio

          public double getHeightRatio()

    - #### getTarget

          public LayoutTarget getTarget()

    - #### setTarget

          public void setTarget(LayoutTarget target)

    - #### getXMode

          public LayoutMode getXMode()

    - #### setXMode

          public void setXMode(LayoutMode mode)

    - #### getYMode

          public LayoutMode getYMode()

    - #### setYMode

          public void setYMode(LayoutMode mode)

    - #### getX

          public double getX()

    - #### setX

          public void setX(double x)

    - #### getY

          public double getY()

    - #### setY

          public void setY(double y)

    - #### getWidthMode

          public LayoutMode getWidthMode()

    - #### setWidthMode

          public void setWidthMode(LayoutMode mode)

    - #### getHeightMode

          public LayoutMode getHeightMode()

    - #### setHeightMode

          public void setHeightMode(LayoutMode mode)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.